# Makefile for VgaGames: object/

all: object.o instance.o mgmt.o call.o collision.o

clean:
	rm -f *.o


object.o: object.c object.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c object.c

instance.o: instance.c object.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c instance.c

mgmt.o: mgmt.c object.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c mgmt.c

call.o: call.c object.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c call.c

collision.o: collision.c object.h
	$(CC) $(CFLAGS) $(SOFLAGS) -c collision.c

